//
// C++ Interface: x2gosettings
//
// Description:
//
//
// Author: Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>, (C) 2010-2015
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef X2GOSETTINGS_H
#define X2GOSETTINGS_H

#include <QSettings>
#include <QDir>

/**
	@author Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>
*/
class X2goSettings
{
public:
    X2goSettings ( QString group )
    {
#ifndef Q_OS_WIN
        set=new QSettings ( QDir::homePath() +
                            "/.x2goadmincenter/"+group,
                            QSettings::NativeFormat );
#else
        else
        {
            set=new QSettings ( QDir::homePath() +
                                "/.x2goadmincenter/"+group,
                                QSettings::IniFormat );
            ONMainWindow::getHomeDirectory() +
//             "/.x2goadmincenter/"+group;
        }
#endif
    }

    ~X2goSettings()
    {
        delete set;
    }

    QSettings* setting()
    {
        return set;
    }

private:
    QSettings* set;

};

#endif
